| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CACPolicyCodecsAllowed Struct Reference
Call Admission Control

A list of Codec flags, each one set to true or false to indicate whether or not the Codec is allowed for this CAC policy. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__boolean * | CACPolicyAllCodec
| All Codecs. More...
xsd__boolean * | CACPolicyCodecG711ALaw
| G711ALaw. More...
xsd__boolean * | CACPolicyCodecG711ULaw
| G711ULaw. More...
xsd__boolean * | CACPolicyCodecG722
| G722. More...
xsd__boolean * | CACPolicyCodecG7231
| G7231. More...
xsd__boolean * | CACPolicyCodecG726_16
| G726_16. More...
xsd__boolean * | CACPolicyCodecG726_24
| G726_24. More...
xsd__boolean * | CACPolicyCodecG726_32
| G726_32. More...
xsd__boolean * | CACPolicyCodecG726_40
| G726_40. More...
xsd__boolean * | CACPolicyCodecG728
| G728. More...
xsd__boolean * | CACPolicyCodecG729
| G729. More...
xsd__boolean * | CACPolicyCodecILBC
| ILBC. More...
xsd__boolean * | CACPolicyCodecAMR
| AMR. More...
xsd__boolean * | CACPolicyCodecAMR_WB
| AMR_WB. More...
xsd__boolean * | CACPolicyCodecAAC_LC
| AAC_LC. More...
xsd__boolean * | CACPolicyCodecG7221_24
| G7221_24. More...
xsd__boolean * | CACPolicyCodecG7221_32
| G7221_32. More...
xsd__boolean * | CACPolicyCodecG7221_48
| G7221_48. More...
xsd__boolean * | CACPolicyCodecOPUS
| OPUS. More...

## Detailed Description

A list of Codec flags, each one set to true or false to indicate whether or not the Codec is allowed for this CAC policy.

## Member Data Documentation

## ◆ CACPolicyAllCodec

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyAllCodec

All Codecs.

required: false
default value[range]: false

## ◆ CACPolicyCodecAAC_LC

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecAAC_LC

AAC_LC.

required: false
default value[range]: false

## ◆ CACPolicyCodecAMR

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecAMR

AMR.

required: false
default value[range]: false

## ◆ CACPolicyCodecAMR_WB

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecAMR_WB

AMR_WB.

required: false
default value[range]: false

## ◆ CACPolicyCodecG711ALaw

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG711ALaw

G711ALaw.

required: false
default value[range]: false

## ◆ CACPolicyCodecG711ULaw

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG711ULaw

G711ULaw.

required: false
default value[range]: false

## ◆ CACPolicyCodecG722

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG722

G722.

required: false
default value[range]: false

## ◆ CACPolicyCodecG7221_24

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG7221_24

G7221_24.

required: false
default value[range]: false

## ◆ CACPolicyCodecG7221_32

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG7221_32

G7221_32.

required: false
default value[range]: false

## ◆ CACPolicyCodecG7221_48

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG7221_48

G7221_48.

required: false
default value[range]: false

## ◆ CACPolicyCodecG7231

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG7231

G7231.

required: false
default value[range]: false

## ◆ CACPolicyCodecG726_16

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG726_16

G726_16.

required: false
default value[range]: false

## ◆ CACPolicyCodecG726_24

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG726_24

G726_24.

required: false
default value[range]: false

## ◆ CACPolicyCodecG726_32

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG726_32

G726_32.

required: false
default value[range]: false

## ◆ CACPolicyCodecG726_40

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG726_40

G726_40.

required: false
default value[range]: false

## ◆ CACPolicyCodecG728

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG728

G728.

required: false
default value[range]: false

## ◆ CACPolicyCodecG729

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecG729

G729.

required: false
default value[range]: false

## ◆ CACPolicyCodecILBC

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecILBC

ILBC.

required: false
default value[range]: false

## ◆ CACPolicyCodecOPUS

xsd__boolean* unsp__CACPolicyCodecsAllowed::CACPolicyCodecOPUS

OPUS.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h